# DaprProtos.SubtleEncryptRequest.Builder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprProtos.SubtleEncryptRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleEncryptRequest.Builder>
      - - io.dapr.v1.DaprProtos.SubtleEncryptRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.SubtleEncryptRequestOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.SubtleEncryptRequest

    public static final class DaprProtos.SubtleEncryptRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleEncryptRequest.Builder>
    implements DaprProtos.SubtleEncryptRequestOrBuilder

     SubtleEncryptRequest is the request for SubtleEncryptAlpha1.

Protobuf type `dapr.proto.runtime.v1.SubtleEncryptRequest`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`DaprProtos.SubtleEncryptRequest.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.SubtleEncryptRequest` `build()`
`DaprProtos.SubtleEncryptRequest` `buildPartial()`
`DaprProtos.SubtleEncryptRequest.Builder` `clear()`
`DaprProtos.SubtleEncryptRequest.Builder` `clearAlgorithm()` Algorithm to use, as in the JWA standard.
`DaprProtos.SubtleEncryptRequest.Builder` `clearAssociatedData()` Associated Data when using AEAD ciphers (optional).
`DaprProtos.SubtleEncryptRequest.Builder` `clearComponentName()` Name of the component
`DaprProtos.SubtleEncryptRequest.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.SubtleEncryptRequest.Builder` `clearKeyName()` Name (or name/version) of the key.
`DaprProtos.SubtleEncryptRequest.Builder` `clearNonce()` Nonce / initialization vector.
`DaprProtos.SubtleEncryptRequest.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.SubtleEncryptRequest.Builder` `clearPlaintext()` Message to encrypt.
`DaprProtos.SubtleEncryptRequest.Builder` `clone()`
`String` `getAlgorithm()` Algorithm to use, as in the JWA standard.
`com.google.protobuf.ByteString` `getAlgorithmBytes()` Algorithm to use, as in the JWA standard.
`com.google.protobuf.ByteString` `getAssociatedData()` Associated Data when using AEAD ciphers (optional).
`String` `getComponentName()` Name of the component
`com.google.protobuf.ByteString` `getComponentNameBytes()` Name of the component
`DaprProtos.SubtleEncryptRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getKeyName()` Name (or name/version) of the key.
`com.google.protobuf.ByteString` `getKeyNameBytes()` Name (or name/version) of the key.
`com.google.protobuf.ByteString` `getNonce()` Nonce / initialization vector.
`com.google.protobuf.ByteString` `getPlaintext()` Message to encrypt.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`DaprProtos.SubtleEncryptRequest.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.SubtleEncryptRequest.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`DaprProtos.SubtleEncryptRequest.Builder` `mergeFrom​(DaprProtos.SubtleEncryptRequest other)`
`DaprProtos.SubtleEncryptRequest.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.SubtleEncryptRequest.Builder` `setAlgorithm​(String value)` Algorithm to use, as in the JWA standard.
`DaprProtos.SubtleEncryptRequest.Builder` `setAlgorithmBytes​(com.google.protobuf.ByteString value)` Algorithm to use, as in the JWA standard.
`DaprProtos.SubtleEncryptRequest.Builder` `setAssociatedData​(com.google.protobuf.ByteString value)` Associated Data when using AEAD ciphers (optional).
`DaprProtos.SubtleEncryptRequest.Builder` `setComponentName​(String value)` Name of the component
`DaprProtos.SubtleEncryptRequest.Builder` `setComponentNameBytes​(com.google.protobuf.ByteString value)` Name of the component
`DaprProtos.SubtleEncryptRequest.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.SubtleEncryptRequest.Builder` `setKeyName​(String value)` Name (or name/version) of the key.
`DaprProtos.SubtleEncryptRequest.Builder` `setKeyNameBytes​(com.google.protobuf.ByteString value)` Name (or name/version) of the key.
`DaprProtos.SubtleEncryptRequest.Builder` `setNonce​(com.google.protobuf.ByteString value)` Nonce / initialization vector.
`DaprProtos.SubtleEncryptRequest.Builder` `setPlaintext​(com.google.protobuf.ByteString value)` Message to encrypt.
`DaprProtos.SubtleEncryptRequest.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.SubtleEncryptRequest.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleEncryptRequest.Builder>`

#### clear

    public DaprProtos.SubtleEncryptRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleEncryptRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleEncryptRequest.Builder>`

#### getDefaultInstanceForType

    public DaprProtos.SubtleEncryptRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public DaprProtos.SubtleEncryptRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public DaprProtos.SubtleEncryptRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public DaprProtos.SubtleEncryptRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleEncryptRequest.Builder>`

#### setField

    public DaprProtos.SubtleEncryptRequest.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                            Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleEncryptRequest.Builder>`

#### clearField

    public DaprProtos.SubtleEncryptRequest.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleEncryptRequest.Builder>`

#### clearOneof

    public DaprProtos.SubtleEncryptRequest.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleEncryptRequest.Builder>`

#### setRepeatedField

    public DaprProtos.SubtleEncryptRequest.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                    int index,
                                                                    Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleEncryptRequest.Builder>`

#### addRepeatedField

    public DaprProtos.SubtleEncryptRequest.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                    Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleEncryptRequest.Builder>`

#### mergeFrom

    public DaprProtos.SubtleEncryptRequest.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.SubtleEncryptRequest.Builder>`

#### mergeFrom

    public DaprProtos.SubtleEncryptRequest.Builder mergeFrom​(DaprProtos.SubtleEncryptRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleEncryptRequest.Builder>`

#### mergeFrom

    public DaprProtos.SubtleEncryptRequest.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                      throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.SubtleEncryptRequest.Builder>`
Throws:
  `IOException`

#### getComponentName

    public String getComponentName()

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Specified by:
  `getComponentName` in interface `DaprProtos.SubtleEncryptRequestOrBuilder`
Returns:
  The componentName.

#### getComponentNameBytes

    public com.google.protobuf.ByteString getComponentNameBytes()

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Specified by:
  `getComponentNameBytes` in interface `DaprProtos.SubtleEncryptRequestOrBuilder`
Returns:
  The bytes for componentName.

#### setComponentName

    public DaprProtos.SubtleEncryptRequest.Builder setComponentName​(String value)

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Parameters:
  `value` - The componentName to set.
Returns:
  This builder for chaining.

#### clearComponentName

    public DaprProtos.SubtleEncryptRequest.Builder clearComponentName()

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Returns:
  This builder for chaining.

#### setComponentNameBytes

    public DaprProtos.SubtleEncryptRequest.Builder setComponentNameBytes​(com.google.protobuf.ByteString value)

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Parameters:
  `value` - The bytes for componentName to set.
Returns:
  This builder for chaining.

#### getPlaintext

    public com.google.protobuf.ByteString getPlaintext()

     Message to encrypt.

`bytes plaintext = 2;`

Specified by:
  `getPlaintext` in interface `DaprProtos.SubtleEncryptRequestOrBuilder`
Returns:
  The plaintext.

#### setPlaintext

    public DaprProtos.SubtleEncryptRequest.Builder setPlaintext​(com.google.protobuf.ByteString value)

     Message to encrypt.

`bytes plaintext = 2;`

Parameters:
  `value` - The plaintext to set.
Returns:
  This builder for chaining.

#### clearPlaintext

    public DaprProtos.SubtleEncryptRequest.Builder clearPlaintext()

     Message to encrypt.

`bytes plaintext = 2;`

Returns:
  This builder for chaining.

#### getAlgorithm

    public String getAlgorithm()

     Algorithm to use, as in the JWA standard.

`string algorithm = 3;`

Specified by:
  `getAlgorithm` in interface `DaprProtos.SubtleEncryptRequestOrBuilder`
Returns:
  The algorithm.

#### getAlgorithmBytes

    public com.google.protobuf.ByteString getAlgorithmBytes()

     Algorithm to use, as in the JWA standard.

`string algorithm = 3;`

Specified by:
  `getAlgorithmBytes` in interface `DaprProtos.SubtleEncryptRequestOrBuilder`
Returns:
  The bytes for algorithm.

#### setAlgorithm

    public DaprProtos.SubtleEncryptRequest.Builder setAlgorithm​(String value)

     Algorithm to use, as in the JWA standard.

`string algorithm = 3;`

Parameters:
  `value` - The algorithm to set.
Returns:
  This builder for chaining.

#### clearAlgorithm

    public DaprProtos.SubtleEncryptRequest.Builder clearAlgorithm()

     Algorithm to use, as in the JWA standard.

`string algorithm = 3;`

Returns:
  This builder for chaining.

#### setAlgorithmBytes

    public DaprProtos.SubtleEncryptRequest.Builder setAlgorithmBytes​(com.google.protobuf.ByteString value)

     Algorithm to use, as in the JWA standard.

`string algorithm = 3;`

Parameters:
  `value` - The bytes for algorithm to set.
Returns:
  This builder for chaining.

#### getKeyName

    public String getKeyName()

     Name (or name/version) of the key.

`string key_name = 4 [json_name = "keyName"];`

Specified by:
  `getKeyName` in interface `DaprProtos.SubtleEncryptRequestOrBuilder`
Returns:
  The keyName.

#### getKeyNameBytes

    public com.google.protobuf.ByteString getKeyNameBytes()

     Name (or name/version) of the key.

`string key_name = 4 [json_name = "keyName"];`

Specified by:
  `getKeyNameBytes` in interface `DaprProtos.SubtleEncryptRequestOrBuilder`
Returns:
  The bytes for keyName.

#### setKeyName

    public DaprProtos.SubtleEncryptRequest.Builder setKeyName​(String value)

     Name (or name/version) of the key.

`string key_name = 4 [json_name = "keyName"];`

Parameters:
  `value` - The keyName to set.
Returns:
  This builder for chaining.

#### clearKeyName

    public DaprProtos.SubtleEncryptRequest.Builder clearKeyName()

     Name (or name/version) of the key.

`string key_name = 4 [json_name = "keyName"];`

Returns:
  This builder for chaining.

#### setKeyNameBytes

    public DaprProtos.SubtleEncryptRequest.Builder setKeyNameBytes​(com.google.protobuf.ByteString value)

     Name (or name/version) of the key.

`string key_name = 4 [json_name = "keyName"];`

Parameters:
  `value` - The bytes for keyName to set.
Returns:
  This builder for chaining.

#### getNonce

    public com.google.protobuf.ByteString getNonce()

     Nonce / initialization vector.
     Ignored with asymmetric ciphers.

`bytes nonce = 5;`

Specified by:
  `getNonce` in interface `DaprProtos.SubtleEncryptRequestOrBuilder`
Returns:
  The nonce.

#### setNonce

    public DaprProtos.SubtleEncryptRequest.Builder setNonce​(com.google.protobuf.ByteString value)

     Nonce / initialization vector.
     Ignored with asymmetric ciphers.

`bytes nonce = 5;`

Parameters:
  `value` - The nonce to set.
Returns:
  This builder for chaining.

#### clearNonce

    public DaprProtos.SubtleEncryptRequest.Builder clearNonce()

     Nonce / initialization vector.
     Ignored with asymmetric ciphers.

`bytes nonce = 5;`

Returns:
  This builder for chaining.

#### getAssociatedData

    public com.google.protobuf.ByteString getAssociatedData()

     Associated Data when using AEAD ciphers (optional).

`bytes associated_data = 6 [json_name = "associatedData"];`

Specified by:
  `getAssociatedData` in interface `DaprProtos.SubtleEncryptRequestOrBuilder`
Returns:
  The associatedData.

#### setAssociatedData

    public DaprProtos.SubtleEncryptRequest.Builder setAssociatedData​(com.google.protobuf.ByteString value)

     Associated Data when using AEAD ciphers (optional).

`bytes associated_data = 6 [json_name = "associatedData"];`

Parameters:
  `value` - The associatedData to set.
Returns:
  This builder for chaining.

#### clearAssociatedData

    public DaprProtos.SubtleEncryptRequest.Builder clearAssociatedData()

     Associated Data when using AEAD ciphers (optional).

`bytes associated_data = 6 [json_name = "associatedData"];`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final DaprProtos.SubtleEncryptRequest.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleEncryptRequest.Builder>`

#### mergeUnknownFields

    public final DaprProtos.SubtleEncryptRequest.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleEncryptRequest.Builder>`